%define name	allegro
%define version	4.2.0
%define rel	2
%define	beta	4
%if %{beta}
%define	release	%mkrel 0.beta%{beta}.%{rel}
%else
%define	release	%mkrel %{rel}
%endif
%define libname	%mklibname %{name} %{major}
%define	libname_devel	%mklibname %{name} %{major} -d
%define	testlib	%mklibname allegro-testing %{major}
%define major	4.2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Game programming library
%if %{beta}
Source0:	http://sunsite.auc.dk/allegro/%{name}-%{version}-beta%{beta}.tar.bz2
%else
Source0:	http://sunsite.auc.dk/allegro/%{name}-%{version}.tar.bz2
%endif
License:	Public Domain
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://alleg.sourceforge.net/
BuildRequires:	arts-devel esound-devel audiofile-devel XFree86-devel
BuildRequires:	jackit-devel svgalib-devel
Obsoletes:	allegro-testing
Provides:	allegro-testing = %{version}-%{release}
Patch0:		allegro-4.2.0-gcc4.patch.bz2

%description
Allegro is a library of functions for use in computer games

%package -n	%{libname}
Summary:	Game programming library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Provides:	%{testlib} = %{version}-%{release}
Obsoletes:	%{testlib}

%description -n	%{libname}
Allegro is a library of functions for use in computer games

%package -n	%{libname_devel}
Summary:	Game programming library
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	allegro-devel %{testlib}-devel = %{version}-%{release}
Obsoletes:	allegro-devel %{testlib}-devel

%description -n	%{libname_devel}
Allegro is a library of functions for use in computer games.
This package contains files needed to build programs using Allegro.

%prep
%setup -q
%patch0 -p1 -b .gcc4

%build
%{__autoconf}
%configure	--enable-shared \
		--enable-static \
%ifarch %{ix86}
		--enable-pentiumopts
%endif
make
MKDATA_PRELOAD=../../lib/unix/liballeg-%{version}.so DAT=../../tools/dat misc/mkdata.sh
find demo examples setup -type f -perm +111 -print | xargs rm

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} install-man install-info
install -D -m 644 allegro.cfg %{buildroot}%{_sysconfdir}/allegrorc
install -d -m 755 %{buildroot}%{_datadir}/allegro
install -D -m 644 keyboard.dat language.dat %{buildroot}%{_datadir}/allegro

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info

%preun -n %{libname}-devel
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES THANKS
%doc readme.txt docs/build/unix.txt docs/build/linux.txt
%{_bindir}/colormap
%{_bindir}/dat
%{_bindir}/dat2c
%{_bindir}/dat2s
%{_bindir}/exedat
%{_bindir}/grabber
%{_bindir}/pack
%{_bindir}/pat2dat
%{_bindir}/rgbmap
%{_bindir}/textconv
%{_datadir}/allegro
%config(noreplace) %{_sysconfdir}/allegrorc

%files -n %{libname}
%defattr(-,root,root)
%doc readme.txt
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/%{name}

%files -n %{libname_devel}
%defattr(-,root,root)
%doc readme.txt todo.txt
#docs/txt/* docs/html/* demo/* examples/* setup/*
%doc docs/txt/abi.txt docs/txt/ahack.txt docs/txt/allegro.txt
%doc docs/txt/const.txt docs/txt/faq.txt docs/txt/help.txt
%doc docs/html
%doc demo examples setup
%{_bindir}/%{name}-config
%{_libdir}/*.a
%{_includedir}/*
%{_mandir}/*/*
%{_infodir}/allegro.info*
%{_datadir}/aclocal/allegro.m4

%changelog
* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.2.0-0.beta4.1mdk
- as no packages no longer use 4.0, update to new 4.2 and merge with testing package
- build with jack and svgalib support too
- fix requires-on-release
- fix short-circuitting
- change major to 4.2 (wrong use of major in lib?)

* Sat Jul 30 2005 Guillaume Bedot <littletux@mandriva.org> 4.0.3-7mdk
- rebuild for cooker / 2006
- buildrequires on gcc3.3
- Patch0: asm patch from allegro-testing package

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.3-6mdk
- rebuild
- cosmetics

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.3-5mdk
- rebuild

* Sat Jul 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-4mdk
- rebuild

* Mon Jun 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-3mdk
- buildrequires
- cosmetics

* Sun May 04 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-2mdk
- rebuild for rpm 4.2.0
- use %%mklibname for devel package too
- remove commented out configure stuff to satisfy rpmlint
- added man pages to devel package

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-1mdk
- 4.0.3 final

* Sat Mar 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-0.rc2.1mdk
- 4.0.3-rc2
- enable parallell builds as it works now
- rm -rf buildroot in install stage in stead of prep stage
- use macro for autoconf
- fix the usage of optimize flags
- use %%mklibname macro

* Sat Mar  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 4.0.3-0.rc1.1mdk
- 4.0.3-rc1

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.3-0.beta1.1mdk
- 4.0.3-beta1
- Fix Provides/Requires
- remove BuildRequires glibc-static

* Sun Dec 01 2002  Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-3mdk
- fix file list

* Wed Jul 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-2mdk
- update buildrequires 

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-1mdk
- 4.0.2

* Mon Apr 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 4.0.1-2mdk
- let include in non-versioned dir

* Mon Apr 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 4.0.1-1mdk
- 4.0.1
- dropped patch
- moved allegro-config to devel package

* Mon Mar 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-4mdk
- regenerate patch from Levi Ramsey to fix allegro.h

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-3mdk
- fix(again) file section (thx Yannick Roehlly)

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com>  4.0.0-2mdk
- fix files section

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com>  4.0.0-1mdk
- 4.0.0

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.38-1mdk
- 3.9.38

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.36-1mdk
- updated to 3.9.36

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.34-1mdk
- updated by Vlatko Kosturjak <kost@linux-mandrake.com> 3.9.34-1mdk
	- support for new version
	- removed patch
- use egcs

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 3.9.33-3mdk
- ExcludeArch: PPC
- Fix devel description
- Spec clean up

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.9.33-2mdk
- rebuild

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 3.9.33-1mdk
- initial spec
